Skip to main content

Update a Profile Task

Update an existing profile task by its unique ID. The request body must contain the updated ProfileTask object.

Path Parameters
id int64 — REQUIRED

Unique integer ID of the profile task to update

id int32 — REQUIRED
Request Body — REQUIRED

Updated ProfileTask object

type string

Possible values: [statistical_analysis, frequency_analysis, unique_duplicate_analysis]

json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
id int32
name string
description string
datasetId string
columns string
successMsg string
failureMsg string
onboardingStatus string

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string

Possible values: [passing, failing, pending]

criticalityLevel string

Possible values: [high, moderate, less, not]

Responses
200

Profile task updated successfully

Schema — OPTIONAL
type string — OPTIONAL

Possible values: [statistical_analysis, frequency_analysis, unique_duplicate_analysis]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

304

Profile task with the specified ID not found or not modified

401

Unauthorized access